Bug 1612983 - Keyboard disfunction on gnome screen
Summary: Keyboard disfunction on gnome screen
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Florian Müllner
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-06 16:43 UTC by Roshni
Modified: 2018-10-30 10:28 UTC (History)
4 users (show)

Fixed In Version: gnome-shell-3.28.3-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:27:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:28:00 UTC

Description Roshni 2018-08-06 16:43:15 UTC
Description of problem:
Keyboard disfunction on gnome screen
Backport https://gitlab.gnome.org/GNOME/gnome-shell/merge_requests/154

Version-Release number of selected component (if applicable):
gnome-shell-3.28.3-1.el7.x86_64
kernel-3.10.0-931.el7.x86_64

How reproducible:


Steps to Reproduce:
1. Gnome login screen after reboot
2.
3.

Actual results:
JS ERROR: TypeError: null has no properties
                                                              _setCurrentRect@resource:///org/gnome/shell/ui/keyboard.js:536:13
                                                              wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                                              _init/<@resource:///org/gnome/shell/ui/keyboard.js:503:13

Expected results:


Additional info:
https://gitlab.gnome.org/GNOME/gnome-shell/issues/414

Comment 2 Tomas Pelka 2018-08-06 19:47:17 UTC
We did updated to 3.28.3 Kalev do you know whether Florians fix was included too?

Comment 3 Kalev Lember 2018-09-03 12:09:03 UTC
(In reply to Tomas Pelka from comment #2)
> We did updated to 3.28.3 Kalev do you know whether Florians fix was included
> too?

No, I don't think it was included. It only landed after gnome-shell 3.28.3 was released. Is it something we should backport now?

(Sorry for the late reply, I was on long PTO.)

Comment 4 Kalev Lember 2018-09-04 14:21:12 UTC
I backported the fix to gnome-shell-3.28.3-2.el7

Comment 6 Tomas Pelka 2018-09-11 07:44:40 UTC
Can't reproduce, moving to verified.

Comment 8 errata-xmlrpc 2018-10-30 10:27:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.